[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Bittorrent - how to use on Linux?



On Sun, 2005-06-12 at 14:53 -0700, Thomas Taylor wrote:
> On Wednesday 09 March 2005 06:47, Paul Howarth wrote:
> > Andrea Montenegro wrote:
> > > Paul Howarth wrote:
> > >>
> > >> I have RPMs for it at:
> > >> http://www.city-fan.org/ftp/contrib/bittorrent/BETA/
> > >>
> > >> Paul.
> > FWIW, I now have an FC3 package of the new BitTorrent 4.0.0 client (no
> > longer a beta) at:
> > http://www.city-fan.org/ftp/contrib/bittorrent/
> >
> > Paul.
> 
> Hi Paul:
> 
> I've downloaded the above rpm and attempted to install but get a dependency 
> error  (see below).  I've tried yum from regular, extras and development 
> repos with no success at locating python-abi.  
> 
> [root linux2 bittorrent-FC3]# rpm -Uvh bittorrent-4.1.1-4.fc3.noarch.rpm
> warning: bittorrent-4.1.1-4.fc3.noarch.rpm: Header V3 DSA signature: NOKEY, 
> key ID b56a8bac
> error: Failed dependencies:
>         python-abi = 2.3 is needed by bittorrent-4.1.1-4.fc3.noarch
> 
> Would you please inform me where that is available?  Also, I'm not sure which 
> rpm files are needed, just the bittorrent file, or the bittorrent-gui and/or 
> wxPythonGTK2.  
> 
> Would the fact that I'm trying to install on FC4T3 be a problem since the rpms 
> are for FC3?

Yes, that's what's wrong. If you're still having problems with getting
bittorrent from Extras (which is what I'd suggest you do), you could
just try rebuilding the SRPM from my site, which should also work.

Install bittorrent-gui in addition to bittorrent if you want to use the
GUI client rather than the command-line ones. wxPythonGTK2 is not
needed, as bittorrent 4.x uses a PyGTK2-based GUI instead, and that
toolkit comes with Fedora Core.

Paul.
-- 
Paul Howarth <paul city-fan org>


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]